GnuPG::Fingerprint(3)

NAME
GnuPG::Fingerprint - GnuPG Fingerprint Objects

SYNOPSIS
  # assumes a GnuPG::Key in $key
  my $fingerprint = $key->fingerprint->as_hex_string();

DESCRIPTION
GnuPG::Fingerprint objects are generally part of GnuPG::Key objects, and are not created on their own.

OBJECT METHODS

  Initialization Methods

new( %initialization_args )
    This methods creates a new object. The optional arguments are initialization of data members.

hash_init( %args ).
compare( $other )
    Returns non-zero only when this fingerprint is identical to the other GnuPG::Fingerprint.

OBJECT DATA MEMBERS

as_hex_string
    This is the hex value of the fingerprint that the object embodies, in string format.

SEE ALSO
GnuPG::Key,